#
# spec file for package perl-HTML-Parser (Version 3.48)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db diffutils e2fsprogs file filesystem fillup findutils flex gawk gcc gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc libnscd libstdc++ libtool libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl perl-HTML-Tagset permissions popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel

Name:           perl-HTML-Parser
BuildRequires:  perl-HTML-Tagset
Version:        3.48
Release:        12.2
Provides:       perl_htp
Obsoletes:      perl_htp
Requires:       perl = %{perl_version}
Autoreqprov:    on
Group:          Development/Libraries/Perl
License:        Artistic License
URL:            http://cpan.org/modules/by-module/HTML/
Summary:        Perl HTML Interface
Source:         HTML-Parser-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Requires:       perl-HTML-Tagset

%description
This is a collection of modules that parse and extract information from
HTML documents.



Authors:
--------
    libwww@perl.org

%debug_package
%prep
%setup -q -n HTML-Parser-%{version}

%build
perl Makefile.PL OPTIMIZE="$RPM_OPT_FLAGS -Wall"
make
make test

%install
rm -rf $RPM_BUILD_ROOT
%perl_make_install
%perl_process_packlist
chmod 755 eg/hform

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc Changes README TODO eg
%doc %{_mandir}/man?/*
%{perl_vendorarch}/HTML
%{perl_vendorarch}/auto/HTML
/var/adm/perl-modules/%{name}

%changelog -n perl-HTML-Parser
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Fri Jan 06 2006 - anicka@suse.cz
- update to 3.48
* Thu Feb 17 2005 - mjancar@suse.cz
- update to 3.45
* Fri Aug 06 2004 - mjancar@suse.cz
- update to 3.36
* Thu Feb 26 2004 - mjancar@suse.cz
- update to 3.35
* Tue Oct 21 2003 - mjancar@suse.cz
- update to 3.33
* Fri Aug 22 2003 - mjancar@suse.cz
- require the perl version we build with
* Thu Jul 17 2003 - mjancar@suse.cz
- adapt to perl-5.8.1
- use %%perl_process_packlist
* Mon Jun 16 2003 - mjancar@suse.cz
- fix filelist
* Fri Jun 06 2003 - mjancar@suse.cz
- update to 3.28
- use $RPM_OPT_FLAGS
- don't package MANIFEST
* Tue May 20 2003 - mjancar@suse.cz
- remove unpackaged files
* Wed Jul 10 2002 - prehak@suse.cz
- updated to version 3.26
- added eg directory into documentation
* Tue Jul 02 2002 - mls@suse.de
- remove race in .packlist generation
* Tue Oct 30 2001 - rvasice@suse.cz
- added perl-HTML-Tagset to Requires
* Tue Aug 14 2001 - rvasice@suse.cz
- update to version 3.25
* Mon Mar 26 2001 - cihlar@suse.cz
- added perl-HTML-Tagset to neededforbuild
- added make test
* Wed Mar 14 2001 - cihlar@suse.cz
- update to version 3.19
* Tue Nov 14 2000 - cihlar@suse.cz
- renamed perl_htp -> perl-HTML-Parser
- update to version 3.13
* Tue Aug 22 2000 - cihlar@suse.cz
- update to version 3.10
- bzipped sources
* Mon Aug 21 2000 - ro@suse.de
- adapted for perl-5.6
* Thu Apr 13 2000 - ug@suse.de
- added to distribution
